#!/bin/bash
# ---------------------------------------------------------
#   convert_all_data
#
# shell script to find all sbe and tpod data files and
#  convert those files into something that can easily
# be loaded into matlab
#
#
#   Newhall data structure specific.. YMMV 
#                        (Your Mileage May Vary  ;-)
# --------------------------------------------------------

soft_dir="/home/gringo/arthur/sw06/mooring_data/soft"
data_dir="/home/gringo/arthur/sw06/mooring_data/"

PATH="$PATH:$soft_dir"

for f in `find $data_dir -name '*T*.dat'`
do
   out=${f%.dat}.asc
   echo $f
   tpod2mat.plx  $f  > $out

 done

for f in `find $data_dir -name '*SBE39*.dmp'`
do
   out=${f%.dmp}.asc
   echo $f
   sbe39_2mat.plx  $f  > $out

done

for f in `find $data_dir -name '*SBE39*.cap'`
do
   out=${f%.cap}.asc
   echo $f
   sbe39_2mat.plx  $f  > $out

done
 
for f in `find $data_dir -name '*SBE37*.cap'`
do
   out=${f%.cap}.asc
   echo $f
   sbe39_2mat.plx  $f  > $out

done


